Subject: Re: bug#18002: Building installation image for i686 fails

From: [email-masked] (Ludovic Courtès)
Date: Mon, 14 Jul 2014 18:09:52 +0200

David Thompson <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> This is fixed by commits 66670cf, f111b32, and 5d09845 (I tested it like
>> you did from x86_64.)  Let me know if you encounter other problems!
>
> The disk image builds successfully for me now!  However, it fails to
> boot. :(
>
> I get the following error and am dropped into the guile debugger:
>   failed to resolve partition label: gnu-disk-image

My bad.  I believe this is fixed by commit 932e1f9: as we switched to
the new kernel config, many things such as USB mass storage support
became kernel modules and were consequently unavailable from the initrd.

Looking forward to reading the next bug report.  :-)

Ludo’.